Package org.apache.maven.scm.provider.clearcase.command.status

## Class ClearCaseStatusConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.clearcase.command.status.ClearCaseStatusConsumer

All Implemented Interfaces:
  `org.codehaus.plexus.util.cli.StreamConsumer`

    public class ClearCaseStatusConsumer
    extends java.lang.Object
    implements org.codehaus.plexus.util.cli.StreamConsumer

Author:
  Wim Deblauwe

### Constructor Summary

Constructors
`ClearCaseStatusConsumer​(ScmLogger logger, java.io.File workingDirectory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine​(java.lang.String line)`
`java.util.List<ScmFile>` `getCheckedOutFiles()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClearCaseStatusConsumer

    public ClearCaseStatusConsumer​(ScmLogger logger,
                                   java.io.File workingDirectory)

### Method Detail

#### consumeLine

    public void consumeLine​(java.lang.String line)

Specified by:
  `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

#### getCheckedOutFiles

    public java.util.List<ScmFile> getCheckedOutFiles()